## ros-indigo-rwt-image-view 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rwt_image_view)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  rospy
  roswww
  rwt_utils_3rdparty
  std_srvs
)

add_service_files(
  FILES
  RosbagRecordRequest.srv
)

generate_messages()

catkin_package(
  CATKIN_DEPENDS rospy rwt_utils_3rdparty std_srvs roswww message_runtime
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(PROGRAMS
  scripts/rosbag_record_server.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY www/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/www
)

=== debian/changelog ===
ros-indigo-rwt-image-view (0.0.3-1trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 30 Sep 2016 15:00:00 -0000

ros-indigo-rwt-image-view (0.0.2-1trusty) trusty; urgency=high

  * remove mjpeg_server from find_package
  * reomve depends to the packages released from CDN
  * Add maintainer. Consistent pkg versions. Sort out manifest format.
  * use tork-a/roswww
  * generate service on rwt_image_view
  * catkinize visualization_rwt packages
  * adding sample of image view
  * use black star :9
  * using location.href
  * implemented multi image viewer
  * fixing path to js
  * adding html and js for multi image viewer
  * #14 <https://github.com/tork-a/visualization_rwt/issues/14>: implementing record button (so simple)
  * #14 <https://github.com/tork-a/visualization_rwt/issues/14>: calling rosbag, but it won't be killed
  * #14 <https://github.com/tork-a/visualization_rwt/issues/14>: adding empty script to record bag
  * #10 <https://github.com/tork-a/visualization_rwt/issues/10>: using topics_for_type to enumerate sensor_msgs/Image topics
  * #10 <https://github.com/tork-a/visualization_rwt/issues/10>: updating the color of the star
  * #10 <https://github.com/tork-a/visualization_rwt/issues/10>: adding progress bar
  * #1 <https://github.com/tork-a/visualization_rwt/issues/1>: implementing rwt_image_view
  * #1 <https://github.com/tork-a/visualization_rwt/issues/1>: adding empty package
  * Contributors: Yuki Furuta, Isaac Saito, Kei Okada, Ryohei Ueda

 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 30 Sep 2016 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rwt-image-view
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <garaemon@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-mjpeg-server, ros-indigo-rospy, ros-indigo-roswww, ros-indigo-rwt-utils-3rdparty, ros-indigo-std-srvs
Homepage: http://wiki.ros.org/rwt_image_view
Standards-Version: 3.9.2

Package: ros-indigo-rwt-image-view
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime, ros-indigo-mjpeg-server, ros-indigo-rospy, ros-indigo-roswww, ros-indigo-rwt-utils-3rdparty, ros-indigo-std-srvs
Description: The rwt_image_view package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rwt-image-view//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
